Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRobin Rosenberg2010-04-04 09:38:19 +0000
committerRobin Rosenberg2010-04-04 13:58:17 +0000
commitcd946161e6d7ad1998649e87c37aa5cfacba596c (patch)
treeb4364bbbe24d9079d098bdd2b9ccbf85815bed74 /org.eclipse.egit-feature
parentac8c7b0306088e73ec85b7f3376cd9479d471422 (diff)
downloadegit-cd946161e6d7ad1998649e87c37aa5cfacba596c.tar.gz
egit-cd946161e6d7ad1998649e87c37aa5cfacba596c.tar.xz
egit-cd946161e6d7ad1998649e87c37aa5cfacba596c.zip
EGit plugin not compatible with Eclipse 3.4, due to JSch dependency
The JSch bundle in Eclipse 3.4 does not export its packages with version numbers. Use Require-Bundle on version 0.1.37 that comes with Eclipse 3.4 Bug: 308032 Change-Id: Ic5039efe08e381e81be473712dd5d173c83d3fd8 Signed-off-by: Robin Rosenberg <robin.rosenberg@dewire.com>
Diffstat (limited to 'org.eclipse.egit-feature')
-rw-r--r--org.eclipse.egit-feature/feature.xml2
1 files changed, 1 insertions, 1 deletions
diff --git a/org.eclipse.egit-feature/feature.xml b/org.eclipse.egit-feature/feature.xml
index 8e3c9d5c5..81e4d55ca 100644
--- a/org.eclipse.egit-feature/feature.xml
+++ b/org.eclipse.egit-feature/feature.xml
@@ -37,7 +37,7 @@
<import plugin="org.eclipse.team.core" version="3.4.0" match="compatible"/>
<import plugin="org.eclipse.jsch.ui" version="1.1.100" match="compatible"/>
<import plugin="org.eclipse.jsch.core" version="1.1.100" match="compatible"/>
- <import plugin="com.jcraft.jsch" version="0.1.41" match="compatible"/>
+ <import plugin="com.jcraft.jsch" version="0.1.37" match="compatible"/>
<import feature="org.eclipse.jgit" version="0.8.0" match="equivalent"/>
</requires>

Back to the top